<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Tramite extends Model
{
    protected $table = 'sige.tramites';

    public function setor()
    {
        return $this->belongsTo(Setor::class, 'id');
    }

    public function lotesTramites()
    {
        return $this->hasMany(LoteTramite::class, 'tramite_id', 'id');
    }

    public function setores()
    {
        return $this->hasMany(Setor::class, 'id');
    }

}
